Latest Draft

Returns a Document Object.

GET/api/2026-03/documents/{documentId}/latestDraft
public-api:write, public-api:drafts:read
Latest version (since 2025-09)

Path Parameters

ParameterTypeDescription
documentId*
integer

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
ignoreComponentConditions
boolean

(added in release-2024-03)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

(added in release-2024-03)

JSON stringified object which contains the component conditions you would like to apply.

Default: dateTime: new Date()
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

Description

This endpoint returns the most recent draft version of a document.

The response is a JSON object with 5 possible top-level properties:

  • systemdata
  • metadata
  • content
  • references

Use Cases

  • Automation: Fetch draft, modify draft with an external system, update a draft via Document Command API
  • Create a Document Preview with an external draft service
  • Drafts Delivery Build (Digital Ausgabe)

Responses

⌘ K to search